We are building our software on SLES 12 and we want to build both 32-bit and 64-bit versions. The problem is that several dependencies seem to be missing and I can't find them in the repositories or DVDs:

libbz2-devel-32bit
libexpat-devel-32bit
libopenssl-devel-32bit


I've installed the corresponding 32-bit "run time" packages, and I was able to work around the missing devel packages by manually creating symbolic links in /usr/lib or /lib. For example:

/usr/lib/libbz2.so -> libbz2.so.1.0.6

These links at least allow our software to build successfully.

Do these devel packages exist somewhere? If not, why aren't they being provided?